Page MenuHomePhabricator

Use accessible colors for the read status of the mark as read markers of notifications
Closed, ResolvedPublic

Description

After the adjustments on the read/unread indicator on notifications (T126214), status is indicated by some circles (filled or not). While the active state (blue dot) was already adjusted to comply with the accessibility guidelines and the new design palette, the inactive state (grey circle) was pending.

After discussions with @Volker_E, about the right level of contrast we may need in this context, the proposal is as follows:

  • Inactive state should use #71777D for the border, and #EAECF0 as fill.
  • When the inactive state is hovered, the colors should be #71777D for the border and #C8CCD1 as fill.

The final set of colors for all states is captured below:

Details

Related Gerrit Patches:
mediawiki/extensions/Echo : masterUse accessible colors on read status marker

Event Timeline

Restricted Application added a subscriber: Zppix. · View Herald TranscriptJul 1 2016, 2:44 PM

Change 296960 had a related patch set uploaded (by VolkerE):
Use accessible colors on read status marker

https://gerrit.wikimedia.org/r/296960

Danny_B moved this task from Unsorted to Colors on the Accessibility board.Jul 4 2016, 10:56 PM

Change 296960 merged by jenkins-bot:
Use accessible colors on read status marker

https://gerrit.wikimedia.org/r/296960

Volker_E closed this task as Resolved.Jul 14 2016, 2:25 PM
Volker_E claimed this task.Oct 25 2016, 8:07 PM